#!/usr/bin/env perl

use warnings;
use strict;

my (@manuf, @product, @name);
my ($manuf, $product, $name);
my ($s);

if ($#ARGV < 1)
{
	print "usage: $0 add_readers.txt Info.plist\n";
	exit;
}

open IN, "< $ARGV[0]" or die "Can't open $ARGV[0]: $!";
while (<IN>)
{
	next if (m/^#/);
	next if (m/^$/);

	chomp;
	($manuf, $product, $name) = split /:/;
	# print "m: $manuf, p: $product, n: $name\n";
	push @manuf, $manuf;
	push @product, $product;
	push @name, $name
}
close IN;

map { $_ = "\t\t<string>$_</string>\n" } @manuf;
map { $_ = "\t\t<string>$_</string>\n" } @product;
map { $_ = "\t\t<string>$_</string>\n" } @name;

$s = 0;

open IN, "< $ARGV[1]" or die "Can't open $ARGV[1]: $!";

while (<IN>)
{
	if (m/ifdVendorID/)
	{
		$s = 1;
	}
	if (m/ifdProductID/)
	{
		$s = 2;
	}
	if (m/ifdFriendlyName/)
	{
		$s = 3;
	}
	if ((m/$manuf/) && ($s == 1))
	{
		$s = 0;
		next;
	}
	if ((m/$product/) && ($s == 2))
	{
		$s = 0;
		next;
	}
	if ((m/$name/) && ($s == 3))
	{
		$s = 0;
		next;
	}
	print;
}

close IN;

